DAEMON(3)

NAME
daemon - run in the background

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
int
daemon(int nochdir, int noclose);

DESCRIPTION

The daemon() function is for programs wishing to detach themselves from the controlling terminal and run in the background as system daemons.

Unless the argument nochdir is non-zero, daemon() changes the current working directory to the root (``/'').

Unless the argument noclose is non-zero, daemon() will redirect standard input, standard output and standard error to ``/dev/null''.

ERRORS
If an error occurs, daemon() returns -1 and sets the global variable errno to any of the errors specified for the library functions fork(2) and setsid(2).

SEE ALSO
fork(2), setsid(2)

HISTORY
The daemon() function first appeared in 4.4BSD.